CAL(1)

BEZEICHNUNG
cal - einen Kalender anzeigen

ÜBERSICHT
cal [Optionen] [[[Tag] Monat] Jahr]
cal [Optionen] [Zeitstempel|Monatsname]

BESCHREIBUNG
cal zeigt einen einfachen Kalender an. Falls keine Argumente angegeben werden, wird der aktuelle Monat angezeigt.

Der Monat kann als Zahl (1-12), als Monatsname oder als abgekürzter Monatsname entsprechend der aktuellen Locale angegeben werden.

Zwei unterschiedliche Kalendersysteme werden verwendet, der Gregorianische und der Julianische Kalender. Diese sind nahezu identisch, wobei der Gregorianische Kalender eine kleine Anpassung der Häufigkeit der Schaltjahre vornimmt. Dadurch wird die Synchronisation mit Sonnenereignissen wie Äquinoktien (Tagundnachtgleichen) verbessert. Die Gregorianische Kalenderreform fand im Jahr 1582 statt, aber ihre Umsetzung dauerte bis zum Jahr 1923. Standardmäßig verwendet cal das Umstellungsdatum 3. September 1752. Von diesem Tag an wird der Gregorianische Kalender angezeigt, davor das Julianische Kalendersystem. Am Tag der Umstellung wurden 11 Tage übergangen, um das Kalendersystem mit sonnenbezogenen Ereignissen in Einklang zu bringen. Daher ist der September 1752 eine Mischung aus Gregorianischen und Julianischen Daten, wobei der 17. auf den 2. folgt (der 3. bis 13. fehlen).

Optional können entweder der proleptische Gregorianische oder der Julianische Kalender exklusiv verwendet werden. Siehe --reform unten.

OPTIONEN

-1, --one
    zeigt einen einzelnen Monat an (dies ist die Vorgabe).

-3, --three
    zeigt drei Monate an, wobei sich das Datum im mittleren Monat befindet.

-n , --months Anzahl
    zeigt die Anzahl Monate an, wobei sich das Datum im mittleren Monat befindet.

-S, --span
    zeigt den Monat an, in dem sich das Datum befindet.

-s, --sunday
    zeigt Sonntag als den ersten Wochentag an.

-m, --monday
    zeigt Montag als den ersten Wochentag an.

--iso
    zeigt den proleptischen Gregorianischen Kalender exklusiv an. Siehe --reform unten.

-j, --julian
    verwendet die Tagnummerierung für alle Kalender. Diese werden auch Ordinaltage genannt. Solche Ordinaltage liegen im Bereich von 1 bis 366. Diese Option wechselt nicht vom Gregorianischen zum Julianischen Kalendersystem, das durch die Option --reform gesteuert wird.

    Gelegentlich werden Gregorianische Kalender, die Ordinaldaten verwenden, als Julianische Kalender angesehen. Dies kann verwirrend sein, da viele datumsbezogene Konventionen »Julianisch« in ihren Namen verwenden: (ordinales) Julianisches Datum, Julianisches (Kalender-)Datum, und mehr. Diese Option wird Julianisch genannt, weil Ordinaltage vom POSIX-Standard als Julianisch bezeichnet werden. Denken Sie jedoch daran, dass cal auch das Julianische Kalendersystem verwendet. Siehe BESCHREIBUNG oben.

--reform Wert
    legt das Umstellungsdatum der Gregorianischen Kalenderreform fest. Die Kalenderdaten vor der Reform verwenden das Julianische System. Die Kalenderdaten nach der Reform verwenden das Gregorianische System. Das Argument Wert kann Folgendes sein:

    •   1752 - setzt den 3. September 1752 als das Umstellungsdatum (Standard). Dies ist der Tag, an dem der Gregorianische Kalender im Britischen Weltreich eingeführt wurde.

    •   gregorian - zeigt Gregorianische Kalender exklusiv an. Dieser spezielle Platzhalter setzt das Umstellungsdatum nach das Jahr mit der niedrigsten Zahl, die cal verwenden kann. Das bedeutet, dass sämtliche Kalenderausgaben das Gregorianische Kalendersystem verwenden. Dieser wird der proleptische Gregorianische Kalender genannt, weil die Daten vor der Erstellung des Kalendersystems näherungsweise bestimmt werden.

    •   iso - Alias für gregorian. Der ISO-8601-Standard für die Darstellung von Daten und Zeiten im Informationsaustausch verwendet den proleptischen Gregorianischen Kalender.

    •   julian - zeigt Julianische Kalender exklusiv an. Dieser spezielle Platzhalter setzt das Umstellungsdatum nach das Jahr mit der höchsten Zahl, die cal verwenden kann. Das bedeutet, dass sämtliche Kalenderausgaben das Julianische Kalendersystem verwenden.

    Siehe BESCHREIBUNG oben.

-y, --year
    zeigt einen Kalender für das ganze Jahr an.

-Y, --twelve
    zeigt einen Kalender für die nächsten zwölf Monate an.

-w, --week[=Nummer]
    zeigt die Wochennummern im Kalender an (US oder ISO-8601).

--color[=Bedingung]
    stellt die Ausgabe farbig dar. Das optionale Argument WANN kann auto, never oder always sein. Falls WANN nicht angegeben ist, ist auto die Voreinstellung. Die Farben können deaktiviert werden. Die jeweilige einkompilierte Voreinstellung zeigt Ihnen die Option --help an. Siehe auch den Abschnitt FARBEN.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

PARAMETER

Einzelner, aus Ziffern bestehender Parameter (z.B. »cal 2020«)
    gibt das anzuzeigende Jahr an. Beachten Sie, dass das Jahr vollständig bezeichnet werden muss: cal 89 zeigt keinen Kalender für das Jahr 1989 an!

Aus einer einzelnen Zeichenkette bestehender Parameter (z.B. »cal tomorrow« oder »cal August«)
    gibt einen Zeitstempel oder einen Monatsnamen (oder abgekürzten Namen) entsprechend der aktuellen Locale an.

    Die speziellen Platzhalter werden beim Auswerten von Zeitstempeln akzeptiert, »now« kann zur Angabe der aktuellen Zeit verwendet werden, »today«, »yesterday« und »tomorrow« für den aktuellen Tag, den gestrigen Tag beziehungsweise den morgigen Tag.

    Relative Datumsangaben werden ebenfalls akzeptiert. In diesem Fall wird mit »+« die angegebene Zeitspanne zur aktuellen Zeit addiert. Analog dazu wird mit »-« die angegebene Zeitdauer von der aktuellen Zeit subtrahiert, zum Beispiel »+2days«. Anstatt der Zeitdauer ein »+« oder »-« voranzustellen, können Sie auch ein Leerzeichen und das Wort »left« oder »ago« anhängen (zum Beispiel »1 week ago«).

Zwei Parameter (z.B. »cal 11 2020«)
    bezeichnen den Monat (1-12) und das Jahr.

Drei Parameter (z.B. »cal 25 11 2020«)
    bezeichnen den Tag (1-31), den Monat und das Jahr. Der Tag wird hervorgehoben, falls der Kalender in einem Terminal angezeigt wird. Ohne Parameter wird der Kalender für den aktuellen Monat angezeigt.

ANMERKUNGEN
Ein Jahr beginnt mit dem ersten Januar. Der erste Wochentag wird anhand der Spracheinstellung oder den Optionen --sunday und --monday ermittelt.

Die Nummerierung der Wochen hängt von der Auswahl des ersten Tages der Woche ab. Falls Sonntag der erste Wochentag ist, dann wird die nordamerikanische Nummerierung verwendet, das heißt, mit dem ersten Sonntag des Jahres beginnt die Woche 1. Falls Montag ausgewählt ist, dann wir die in ISO-8601 standardisierte Wochennummerierung verwendet, wonach sich der erste Donnerstag des Jahres stets in Woche 1 befindet.

FARBEN
Farbige Darstellung kann wie folgt erreicht werden:
    touch /etc/terminal-colors.d/cal.disable
Siehe terminal-colors.d(5) für weitere Details zur Konfiguration der farblichen Darstellung.

FEHLER

Die standardmäßige Ausgabe von cal verwendet den 3. September 1752 als Umstellungsdatum zum Gregorianischen Kalender. Die historischen Umstellungsdaten für andere Locales sind nicht implementiert, auch nicht für die Ersteinführung im Oktober 1582.

Alternative Kalender, wie Umm al-Qura, Solar Hijri, the Ge'ez, oder Lunisolar Hindu werden nicht unterstützt.

GESCHICHTE
Ein cal-Befehl erschien in AT&T UNIX, Version 6.

VERFÜGBARKEIT
Der Befehl »cal« ist Teil des Pakets util-linux und ist verfügbar auf https://www.kernel.org/pub/linux/utils/util-linux/.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.